Skip to main content
`Ctrl`+`K`

# DMPlexNaturalToGlobalBegin

Rearranges a `Vec` in the natural order to the Global order.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexNaturalToGlobalBegin(DM dm, Vec nv, Vec gv)

Collective

## Input Parameters

- dm - The distributed `DMPLEX`

- nv - The natural `Vec`

## Output Parameter

- gv - The global `Vec`

## Note

The user must call `DMSetUseNatural`(dm, `PETSC_TRUE`) before `DMPlexDistribute()`.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `Vec`, `DMPlexDistribute()`, `DMPlexDistributeField()`, `DMPlexGlobalToNaturalEnd()`

## Level

intermediate

## Location

src/dm/impls/plex/plexnatural.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages